#pragma once

namespace Mix{ namespace Tool{ namespace Font{

	public ref class StyleCollection : public System::Collections::Generic::IEnumerable<System::String^>
	{
	private:
		System::Collections::Generic::List<System::String^>^ m_List;

	public:
		StyleCollection( System::IntPtr handle );
		~StyleCollection( void );

	public:
		property int Count
		{
			int get( void );
		}

		property System::String^ default[int]
		{
			System::String^ get( int index );
		}

		virtual System::Collections::Generic::IEnumerator<System::String^>^ GetEnumerator()
		{
			return m_List->GetEnumerator();
		}

		virtual System::Collections::IEnumerator^ _GetEnumerator() = System::Collections::IEnumerable::GetEnumerator
		{
			return GetEnumerator();
		}
	};

}}}
